using System;
using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
    public class CreateExamDto
    {
        [Required(ErrorMessage = "考试标题是必填项。")]
        [StringLength(255, ErrorMessage = "考试标题不能超过 255 个字符。")]
        public string Title { get; set; }

        public string Description { get; set; }

        [Required(ErrorMessage = "科目ID是必填项。")]
        public Guid SubjectId { get; set; }

        [Required(ErrorMessage = "考试结构ID是必填项。")]
        public Guid ExamStructId { get; set; }

        [Required(ErrorMessage = "考试类型ID是必填项。")]
        public Guid ExamTypeId { get; set; }

        [Required(ErrorMessage = "创建者ID是必填项。")]
        public Guid CreatorId { get; set; }

        [Required(ErrorMessage = "截止日期是必填项。")]
        public DateTime DueDate { get; set; }

        public byte TotalQuestions { get; set; }

        public float Score { get; set; }

        public string Name { get; set; }
    }
}
